EventBase::exit
EventBase::getFeatures
EventBase
PHP Manual

# EventBase::free

(PECL event >= 1.10.0)

EventBase::free — Free resources allocated for this event base

### Description

public void EventBase::free ( void )

Deallocates resources allocated by libevent for the EventBase object.

Warning

The EventBase::free() method doesn't destruct the object itself. To destruct the object completely call unset() , or assign `NULL`.

This method does not deallocate or detach any of the events that are currently associated with the EventBase object, or close any of their sockets - beware.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### See Also

- EventBase::__construct() - Constructs EventBase object

EventBase::exit
EventBase::getFeatures
EventBase
PHP Manual